> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt. # Add tag to conversation POST https://api.elevenlabs.io/v1/convai/conversations/{conversation_id}/tags Content-Type: application/json Assign one or more conversation tags to a conversation. Tags that are already assigned are ignored. Tags must belong to the same workspace. Reference: https://elevenlabs.io/docs/api-reference/conversations/tags/assign ## Servers - `https://api.elevenlabs.io` (Production, default) - `https://api.us.elevenlabs.io` (Production US) - `https://api.eu.residency.elevenlabs.io` (Production EU) - `https://api.in.residency.elevenlabs.io` (Production India) - `https://api.sg.residency.elevenlabs.io` (Production Singapore) ## Request ### Path parameters - `conversation_id` (string, required) ### Body (application/json) This endpoint expects an AssignConversationTagsRequestModel. - `tag_ids` (list of string, required) — Tag IDs to add to the conversation. Re-assigning an existing tag is a no-op. ## Response ### 204 Successful Response ## Errors ### 422 Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### ValidationError - `loc` (list of ValidationErrorLocItems, required) - `msg` (string, required) - `type` (string, required) ### ValidationErrorLocItems ## Examples **Request** ```json { "tag_ids": [ "tag_9f8b7c6d5e4a3b2c1d0e" ] } ``` **Response** ```json {} ``` **SDK Code** ```python import requests url = "https://api.elevenlabs.io/v1/convai/conversations/conversation_id/tags" payload = { "tag_ids": ["tag_9f8b7c6d5e4a3b2c1d0e"] } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.elevenlabs.io/v1/convai/conversations/conversation_id/tags'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"tag_ids":["tag_9f8b7c6d5e4a3b2c1d0e"]}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.elevenlabs.io/v1/convai/conversations/conversation_id/tags" payload := strings.NewReader("{\n \"tag_ids\": [\n \"tag_9f8b7c6d5e4a3b2c1d0e\"\n ]\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.elevenlabs.io/v1/convai/conversations/conversation_id/tags") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"tag_ids\": [\n \"tag_9f8b7c6d5e4a3b2c1d0e\"\n ]\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.elevenlabs.io/v1/convai/conversations/conversation_id/tags") .header("Content-Type", "application/json") .body("{\n \"tag_ids\": [\n \"tag_9f8b7c6d5e4a3b2c1d0e\"\n ]\n}") .asString(); ``` ```php request('POST', 'https://api.elevenlabs.io/v1/convai/conversations/conversation_id/tags', [ 'body' => '{ "tag_ids": [ "tag_9f8b7c6d5e4a3b2c1d0e" ] }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.elevenlabs.io/v1/convai/conversations/conversation_id/tags"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"tag_ids\": [\n \"tag_9f8b7c6d5e4a3b2c1d0e\"\n ]\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = ["tag_ids": ["tag_9f8b7c6d5e4a3b2c1d0e"]] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/convai/conversations/conversation_id/tags")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > ElevenLabs provides APIs and SDKs for text to speech, voice cloning, speech to text, sound effects, voice isolator, voice changer, and conversational AI agents. Build voice-enabled applications with lifelike audio generation.